Package: org.codehaus.groovy.control.customizers.builder

## [Java] Class ImportCustomizerFactory

- org.codehaus.groovy.control.customizers.builder.ImportCustomizerFactory

-     public class ImportCustomizerFactory
      extends AbstractFactory

  This factory allows the generation of an import customizer. You may embed several elements:

  - normal for "regular" imports
  - star for "star" imports
  - staticStar for "static star" imports
  - alias for imports with alias
  - staticMember for static imports of individual members
  For example:

      builder.imports {
       alias 'AI', 'java.util.concurrent.atomic.AtomicInteger'
       alias 'AL', 'java.util.concurrent.atomic.AtomicLong'
      }

  Since:
    2.1.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `isHandlesNodeChildren()`
    `` | `public Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`
    `` | `public boolean` | `onNodeChildren(FactoryBuilderSupport builder, Object node, Closure childContent)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractFactory` | `isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent`

- - ### Method Detail

    - #### @Override
      public boolean isHandlesNodeChildren()

    - #### @Override
      public Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

    - #### @Override
      public boolean onNodeChildren(FactoryBuilderSupport builder, Object node, Closure childContent)